**The GC namelist for cb6r3_ae7_aq has the following gas phase species.**

| **Model Species** | **Definition**                                                                     | **Molecular Weight** | **Explicit or Lumped** |
| ----------------- | ---------------------------------------------------------------------------- | -------------------- | ---------------------- |
| AACD              | acetic acid                                                                  | 60                   | E                      |
| ACET              | acetone                                                                      | 58.1                 | E                      |
| ACRO_PRIMARY      | acrolein from emissions only                                                 | 56.1                 | E                      |
| ACROLEIN          | acrolein                                                                     | 56.1                 | E                      |
| ALD2              | acetaldehyde                                                                 | 44                   | E                      |
| ALD2_PRIMARY      | acetaldehyde from emissions only                                             | 44                   | E                      |
| ALDX              | aldehydes with 3 or more carbons                                             | 58.1                 | L                      |
| APIN              | alpha pinene                                                                 | 136.2                | E                      |
| BENZENE           | benzene                                                                      | 78.1                 | E                      |
| BENZRO2           | counter species for aerosol from benzene+OH                                  | 127                  | L                      |
| BUTADIENE13       | 1,3-butadiene                                                                | 54                   | E                      |
| BZO2              | peroxy radical from beneze reactions with OH                                 | 159.1                | L                      |
| C2O3              | acetylperoxy radical                                                         | 75                   | E                      |
| CAT1              | methyl catechols                                                             | 124.1                | L                      |
| CL                | atomic chlorine                                                              | 35.5                 | E                      |
| CL2               | molecular chlorine                                                           | 71                   | E                      |
| CLNO2             | nitryl chloride                                                              | 81.5                 | E                      |
| CLNO3             | chlorine nitrate                                                             | 97.5                 | E                      |
| CLO               | chlorine monoxide                                                            | 51.5                 | E                      |
| CO                | carbon monoxide                                                              | 28                   | E                      |
| CRES              | cresol and higher molecular weight phenols                                   | 108.1                | L                      |
| CRO               | alkoxy radical from cresol                                                   | 107.1                | L                      |
| CRON              | nitro-cresols                                                                | 153.1                | L                      |
| CXO3              | acetylperoxy radicals with 3 or more carbons                                 | 89                   | L                      |
| ECH4              | methane                                                                      | 16                   | E                      |
| EPOX              | isoprene epoxydiol                                                           | 118.1                | L                      |
| EPX2              | peroxy radical from EPOX+OH reaction                                         | 149.1                | L                      |
| ETH               | ethene                                                                       | 28                   | E                      |
| ETHA              | ethane                                                                       | 30.1                 | E                      |
| ETHY              | ethyne (acetylene)                                                           | 26                   | E                      |
| ETOH              | ethanol                                                                      | 46.1                 | E                      |
| FACD              | formic acid                                                                  | 46                   | E                      |
| FMCL              | formylchloride                                                               | 64.5                 | E                      |
| FORM              | formaldehyde                                                                 | 30                   | E                      |
| FORM_PRIMARY      | formaldehyde from emissions only                                             | 30                   | E                      |
| GLY               | glyoxal                                                                      | 58                   | E                      |
| GLYD              | glycoaldehyde (hydroxyacetaldehyde)                                          | 60                   | E                      |
| H2NO3PIJ          | tracer producing HNO3 or ClNO2 from N2O5 in fine mode aerosols               | 64                   | E                      |
| H2NO3PK           | tracer producing HNO3 or ClNO2 from N2O5 in coarse mode aerosols             | 64                   | E                      |
| H2O2              | hydrogen peroxide                                                            | 34                   | E                      |
| HCL               | hydrochloric acid                                                            | 36.5                 | E                      |
| HCO3              | radical from HO2 reactions with formaldehyde                                 | 63                   | E                      |
| HG                | elemental mercury                                                            | 200.6                | E                      |
| HGIIAER           | precursor of aerosol divalent mercury                                        | 200.6                | E                      |
| HGIIGAS           | divalent mercury                                                             | 200.6                | E                      |
| HNO3              | nitric acid                                                                  | 63                   | E                      |
| HO2               | hydroperoxy radical                                                          | 33                   | E                      |
| HOCL              | hypochlorous acid                                                            | 52.5                 | E                      |
| HONO              | nitrous acid                                                                 | 47                   | E                      |
| HPLD              | hydroperoxyaldehyde from ISO2 isomerization                                  | 116.1                | L                      |
| INTR              | nitrate from isoprene                                                        | 147.1                | L                      |
| IOLE              | internal alkene bond                                                         | 56.1                 | L                      |
| ISO2              | isoprene peroxy radical                                                      | 117.1                | L                      |
| ISOP              | isoprene                                                                     | 68.1                 | E                      |
| ISOPRXN           | counter species for aerosol from isoprene, volatility pathways               | 68.1                 | L                      |
| ISPD              | isoprene reaction products (methacrolein, methylvinyl ketone, others)        | 70.1                 | L                      |
| ISPX              | hydroperoxide from ISO2 reaction with HO2                                    | 118.1                | L                      |
| KET               | carbon-ketone bond                                                           | 72.1                 | L                      |
| MEO2              | methylperoxy radical                                                         | 47                   | E                      |
| MEOH              | methanol                                                                     | 32                   | E                      |
| MEPX              | methylhydroperoxide                                                          | 48                   | E                      |
| MGLY              | methyl glyoxal                                                               | 72                   | E                      |
| MMTNO3            | organic nitrates from monoterpene oxidation (Should not to be included for tracking nitrogen)                                       | 231.0                   | L                      |
| N2O5              | dinitrogen pentoxide                                                         | 108                  | E                      |
| NAPH              | naphthalene                                                                  | 128.2                | E                      |
| NO                | nitric oxide                                                                 | 30                   | E                      |
| NO2               | nitrogen dioxide                                                             | 46                   | E                      |
| NO3               | nitrate radical                                                              | 62                   | E                      |
| NTR1              | monofunctional organic nitrates                                              | 119.1                | L                      |
| NTR2              | multifunctional organic nitrates                                             | 135.1                | L                      |
| O                 | ground-state oxygen atoms, O(3P)                                             | 16                   | E                      |
| O1D               | electronically excited oxygen atoms, O(1D)                                   | 16                   | E                      |
| O3                | ozone                                                                        | 48                   | E                      |
| OH                | hydroxyl radical                                                             | 17                   | E                      |
| OLE               | terminal alkene bond                                                         | 42.1                 | L                      |
| OPAN              | peroxyacylnitrate from OPO3                                                  | 161                  | L                      |
| OPEN              | aromatic ring opening product (an alkene and aldehyde)                       | 84                   | L                      |
| OPO3              | peroxyacyl radical from OPEN                                                 | 115                  | L                      |
| PACD              | peroxycarboxylic acids                                                       | 76                   | L                      |
| PAHRO2            | counter species for aerosol from NAPH+OH                                     | 187.2                | L                      |
| PAN               | peroxyacylnitrate                                                            | 121                  | E                      |
| PANX              | peroxyacylnitrates with 3 or more carbons                                    | 135                  | L                      |
| PAR               | carbon-carbon single bond                                                    | 14.0                 | L                      |
| PCSOARXN          | counter species for potential aerosol from combustion (from PCVOC reactions) | 170                  | L                      |
| PCVOC             | tracer for potential combustion SOA VOCs                                     | 170                  | L                      |
| PNA               | peroxynitric acid                                                            | 79                   | E                      |
| PRPA              | propane                                                                      | 44.1                 | E                      |
| RO2               | total peroxy radical concentration                                           | 87.1                 | L                      |
| ROOH              | methylhydroperoxide                                                          | 90.1                 | E                      |
| ROR               | secondary alkoxy radical                                                     | 71.1                 | L                      |
| SESQ              | sesquiterpenes                                                               | 204                  | L                      |
| SESQRXN           | counter species for aerosol from sesquiterpenes                              | 204                  | L                      |
| SO2               | sulfur dioxide                                                               | 64                   | E                      |
| SOAALK            | tracer for alkanes that can form secondary organic aerosol                   | 112                  | L                      |
| SULF              | sulfuric acid (gaseous)                                                      | 98                   | E                      |
| SULRXN            | sulfate aerosol precursor                                                    | 98                   | E                      |
| SVAVB1	        | low volatility organic gas from oxidation of anthropogenic VOCs              | 179.0                | L |
| SVAVB2            | semivolatile organic gas from oxidation of anthropogenic VOCs                | 169.0                | L |
| SVAVB3            | semivolatile organic gas from oxidation of anthropogenic VOCs                | 158.0                | L |
| SVAVB4            | semivolatile organic gas from oxidation of anthropogenic VOCs                | 198.0                | L |
| TERP              | monoterpenes                                                                 | 136.2                | L                      |
| TERPNRO2          | counter species for aerosol from TERP + NO3                                  | 197.0                | L                      |
| TO2               | toluene peroxy radical                                                       | 173.1                | L                      |
| TOL               | toluene and other monoalkyl aromatics                                        | 92.1                 | L                      |
| TOLRO2            | counter species for aerosol from TOL+OH                                      | 141                  | L                      |
| TOLU              | toluene                                                                      | 92                   | E                      |
| TRPRXN            | counter species for aerosol precursor from monoterpenes                      | 136.2                | L                      |
| VIVPO1            | evaporated primary organic aerosol, intermed-volatility                      | 266                  | L                      |
| VLVOO1            | evaporated secondary organic aerosol, low-volatility, cat 1                  | 136                  | L                      |
| VLVOO2            | evaporated secondary organic aerosol, low-volatility, cat 2                  | 136                  | L                      |
| VLVPO1            | evaporated primary organic aerosol, low-volatility                           | 218                  | L                      |
| VSVOO1            | evaporated secondary organic aerosol, semi-volatile, cat 1                   | 135                  | L                      |
| VSVOO2            | evaporated secondary organic aerosol, semi-volatile, cat 2                   | 135                  | L                      |
| VSVOO3            | evaporated secondary organic aerosol, semi-volatile, cat 3                   | 134                  | L                      |
| VSVPO1            | evaporated primary organic aerosol, semi-volatile, cat 1                     | 230                  | L                      |
| VSVPO2            | evaporated primary organic aerosol, semi-volatile, cat 2                     | 241                  | L                      |
| VSVPO3            | evaporated primary organic aerosol, semi-volatile, cat 3                     | 253                  | L                      |
| XLO2              | peroxy radical from XYLMN+OH reaction                                        | 187.1                | L                      |
| XO2               | NO oxidation to NO2 via peroxy radical                                       | 87.1                 | L                      |
| XO2H              | NO oxidation to NO2 with HO2 production, from alkoxy radicals                | 87.1                 | L                      |
| XO2N              | nitrate production from NO reaction with peroxy radical                      | 87.1                 | L                      |
| XOPN              | product of aromatic ring-opening reaction                                    | 98.1                 | L                      |
| XPAR              | organic nitrate production from PAR                                          | 117.1                | L                      |
| XPRP              | organic nitrate production from PRPA                                         | 89.1                 | L                      |
| XYLMN             | xylene and other polyalkyl aromatics except naphthalene                      | 106.2                | L                      |
| XYLRO2            | counter species for aerosol from XYLMN+OH                                    | 155                  | L                      |


**The AE namelist for cb6r3_ae7_aq has the following aerosol species.**

| **Model Species** | **Definition**                                             | **Molecular Weight** | **Explicit or Lumped** |
| ----------------- | ---------------------------------------------------- | -------------------- | ---------------------- |
| AAL               | Aluminum                                             | 27                   | E                      |
| AAVB1 | low volatility organic particulate matter from oxidation of anthropogenic VOCs  | 198.0 |  L |
| AAVB2 | semivolailte organic particulate matter from oxidation of anthropogenic VOCs  | 179.0 |  L |
| AAVB3 | semivolailte organic particulate matter from oxidation of anthropogenic VOCs | 169.0 |  L |
| AAVB4 | semivolailte organic particulate matter from oxidation of anthropogenic VOCs | 158.0 |  L |
| ACA               | Calcium                                              | 40.1                 | E                      |
| ACL               | Chloride                                             | 35.5                 | E                      |
| ACORS             | Anthropogenic Coarse-mode particle mass              | 100.0                | L                      |
| AEC               | Elemental Carbon                                     | 12                   | E                      |
| AFE               | Iron                                                 | 55.8                 | E                      |
| AGLY              | Glyoxal and Methylglyoxal SOA  in aqueous aerosol material                      | 66.4                 | L                      |
| AH2O              | Water                                                | 18                   | E                      |
| AH3OP             | Hydronium Ion                                        | 19                   | E                      |
| AISO1             | Semivolatile SOA Product from Isoprene               | 132.0                | L                      |
| AISO2             | High-Volatility SOA Product from Isoprene            | 133.0                | L                      |
| AISO3             | Acid-catalyzed Isoprene Epoxydiol SOA                | 168.2                | L                      |
| AIVPO1            | Intermediate Volatility Primary Organic Compounds    | 266                  | L                      |
| AK                | Potassium                                            | 39.1                 | E                      |
| ALVOO1            | Low Volatility Oxidized Combustion Organic Compounds | 136                  | L                      |
| ALVOO2            | Low Volatility Oxidized Combustion Organic Compounds | 136                  | L                      |
| ALVPO1            | Low Volatility Primary Organic Compounds             | 218                  | L                      |
| AMG               | Magnesium                                            | 24.3                 | E                      |
| AMN               | Manganese                                            | 54.9                 | E                      |
| AMT1 | low volatility particulate matter from monoterpene photoxidation, C*=0.01 ug/m3 | 200.0   | L |
| AMT2 | low volatility particulate matter from monoterpene photoxidation, C*=0.1 ug/m3 |  300.0  | L |
| AMT3 | semivolailte particulate matter from monoterpene photoxidation, C*=1 ug/m3 | 186.0   | L |
| AMT4 | semivolatile particulate matter from monoterpene photoxidation, C*=10 ug/m3 |  184.0  | L |
| AMT5 | semivolatile particulate matter from monoterpene photoxidation, C*=100 ug/m3 |  170.0  | L |
| AMT6 | semivolatile particulate matter from monoterpene photoxidation, C*=1000 ug/m3 | 168.0   | L |
| AMTNO3J | semivolatile organic nitrates from monoterpene oxidation (Should not to be included for tracking nitrogen) | 231.0 | L |
| AMTHYDJ | organic pseudo-hydrolysis accretion product from monoterpene organic nitrates (AMTNO3J) | 168.0| L |
| ANA               | Sodium                                               | 23                   | E                      |
| ANH4              | Ammonium                                             | 18                   | E                      |
| ANO3              | Nitrate                                              | 62                   | E                      |
| AOLGA             | Oligomer products of anthropogenic SOA compounds     | 206.0                | L                      |
| AOLGB             | Oligomer products of biogenic SOA compounds          | 248.0                | L                      |
| AORGC             | Glyoxal and methylglyoxal SOA produced in cloud water                        | 177.0                | L                      |
| AORGH2O           | Water associated with organic species of particulate matter | 18.0                | E                      |
| AOTHR             | Other Particulate Mass                               | 200                  | L                      |
| APCSO             | Potential Combustion SOA                             | 170                  | L                      |
| APNCOM            | Non-Carbon Organic Matter associated with APOC       | 220.0                | L                      |
| APOC              | Primary Organic Carbon                               | 220.0                | L                      |
| ASEACAT           | Sea spray cations                                    | 23.75                | L                      |
| ASI               | Silicon                                              | 28.1                 | E                      |
| ASO4              | Sulfate                                              | 96                   | E                      |
| ASOIL             | Lumped crustal species                               | 100.0                | L                      |
| ASQT              | Semivolatile SOA Product from Sesquiterpenes         | 273.0                | L                      |
| ASVOO1            | Semivolatile Oxidized Combustion Organic Compounds   | 135                  | L                      |
| ASVOO2            | Semivolatile Oxidized Combustion Organic Compounds   | 135                  | L                      |
| ASVOO3            | Semivolatile Oxidized Combustion Organic Compounds   | 134                  | L                      |
| ASVPO1            | Semivolatile Primary Organic Compounds               | 230                  | L                      |
| ASVPO2            | Semivolatile Primary Organic Compounds               | 241                  | L                      |
| ASVPO3            | Semivolatile Primary Organic Compounds               | 253                  | L                      |
| ATI               | Titanium                                             | 47.9                 | E                      |
| NUMACC            | Accum. Mode Number Conc                              | NA                   | NA                     |
| NUMAIT            | Aitken Mode Number Conc                              | NA                   | NA                     |
| NUMCOR            | Coarse Mode Number Conc                              | NA                   | NA                     |
| SRFACC            | Accum. Mode Surface Area Conc                        | NA                   | NA                     |
| SRFAIT            | Aitken Mode Surface Area Conc                        | NA                   | NA                     |
| SRFCOR            | Coarse Mode Surface Area Conc                        | NA                   | NA                     |

Note that for each aerosol mass species, a letter will be appended to the names below in order to designate the size, or mode, of the aerosol being represented: I = Aitken mode, J = Accumulation mode, K = Coarse mode.  

**The NR namelist for cb6r3_ae7_aq has the following gas phase species.**

| **Model Species** | **Definition**                                             | **Molecular Weight** | **Explicit or Lumped** |
| ----------------- | ---------------------------------------------------- | -------------------- | ---------------------- |
|  LVPCSOG          |  surrogate SOA precursor gas for combustion/anthropogenic sources          | 170.0  |  L  |  
|  NH3              |  ammonia                                                    |  17.0  |  E  |      
|  SVMT1            |  low volatility gas from monoterpene photoxidation | 300.0     |  L  |
|  SVMT2            |  low volatility gas from monoterpene photoxidation | 200.0     |  L  |
|  SVMT3            |  semivolatile gas from monoterpene photoxidation   | 186.0     |  L  |
|  SVMT4            |  semivolatile gas from monoterpene photoxidation   | 184.0     |  L  |
|  SVMT5            |  semivolatile gas from monoterpene photoxidation   | 170.0     |  L  |
|  SVMT6            |  semivolatile gas from monoterpene photoxidation   | 168.0     |  L  |
|  SVISO1           |  semivolatile gas of secondary aerosol material from isoprene         | 132.0  |  L  |  
|  SVISO2           |  semivolatile gas of secondary aerosol material from isoprene         | 133.0  |  L  |  
|  SVSQT            |  semivolatile gas of secondary aerosol material from sesquiterpenes   | 273.0  |  L  |         
