**The AE namelist for racm2_ae6_aq has the following aerosol species.**

| **Model Species** | **Name**                                             | **Molecular Weight** | **Explicit or Lumped** |
|-----------|-----------------------------------------------------|--------------------| ----------------------|
| AAL               | Aluminum                                             | 27                   | E                      |
| AALK1             | Semivolaitle SOA Product from Alkane VOCs            | 225.0                | L                      |
| AALK2             | Semivolatile SOA Product from Alkane VOCs            | 205.1                | L                      |
| ABNZ1             | Semivolatile High-NOx SOA Product from Benzene       | 161.0                | L                      |
| ABNZ2             | Semivolatile High-NOx SOA Product from Benzene       | 134.0                | L                      |
| ABNZ3             | Low-Volatility Low-NOx SOA Product from Benzene      | 180.0                | L                      |
| ACA               | Calcium                                              | 40.1                 | E                      |
| ACL               | Chloride                                             | 35.5                 | E                      |
| ACORS             | Anthropogenic Coarse-mode particle mass              | 100.0                | L                      |
| AEC               | Elemental Carbon                                     | 12                   | E                      |
| AFE               | Iron                                                 | 55.8                 | E                      |
| AH2O              | Water                                                | 18                   | E                      |
| AH3OP             | Hydronium Ion                                        | 19                   | E                      |
| AISO1             | Semivolatile SOA Product from Isoprene               | 132.0                | L                      |
| AISO2             | High-Volatility SOA Product from Isoprene            | 133.0                | L                      |
| AISO3             | Acid-Catalyzed Isoprene SOA compounds                | 168.2                | L                      |
| AIVPO1            | Intermediate Volatility Primary Organic Compounds    | 266                  | L                      |
| AK                | Potassium                                            | 39.1                 | E                      |
| ALVOO1            | Low Volatility Oxidized Combustion Organic Compounds | 136                  | L                      |
| ALVOO2            | Low Volatility Oxidized Combustion Organic Compounds | 136                  | L                      |
| ALVPO1            | Low Volatility Primary Organic Compounds             | 218                  | L                      |
| AMG               | Magnesium                                            | 24.3                 | E                      |
| AMN               | Manganese                                            | 54.9                 | E                      |
| ANA               | Sodium                                               | 23                   | E                      |
| ANH4              | Ammonium                                             | 18                   | E                      |
| ANO3              | Nitrate                                              | 62                   | E                      |
| AOLGA             | Oligomer products of anthropogenic SOA compounds     | 206.0                | L                      |
| AOLGB             | Oligomer products of biogenic SOA compounds          | 248.0                | L                      |
| AORGC             | Glyoxal and Methylglyoxal SOA                        | 177.0                | L                      |
| AOTHR             | Other Particulate Mass                               | 200                  | L                      |
| APAH1             | Semivolatile High-NOx SOA Product from PAHs          | 195.6                | L                      |
| APAH2             | Semivolatile High-NOx  SOA Product from PAHs         | 178.7                | L                      |
| APAH3             | Low-Volatility Low-NOx SOA Product from PAHs         | 212.2                | L                      |
| APCSO             | Potential Combustion SOA                             | 170                  | L                      |
| APNCOM            | Non-Carbon Organic Matter associated with APOC       | 220.0                | L                      |
| APOC              | Primary Organic Carbon                               | 220.0                | L                      |
| ASEACAT           | Sea spray cations                                    | 23.75                | L                      |
| ASI               | Silicon                                              | 28.1                 | E                      |
| ASO4              | Sulfate                                              | 96                   | E                      |
| ASOIL             | Lumped crustal species                               | 100.0                | L                      |
| ASQT              | Semivolatile SOA Product from Sesquiterpenes         | 273.0                | L                      |
| ASVOO1            | Semivolatile Oxidized Combustion Organic Compounds   | 135                  | L                      |
| ASVOO2            | Semivolatile Oxidized Combustion Organic Compounds   | 135                  | L                      |
| ASVOO3            | Semivolatile Oxidized Combustion Organic Compounds   | 134                  | L                      |
| ASVPO1            | Semivolatile Primary Organic Compounds               | 230                  | L                      |
| ASVPO2            | Semivolatile Primary Organic Compounds               | 241                  | L                      |
| ASVPO3            | Semivolatile Primary Organic Compounds               | 253                  | L                      |
| ATI               | Titanium                                             | 47.9                 | E                      |
| ATOL1             | Semivolatile High-NOx SOA Product from Toluene       | 163.0                | L                      |
| ATOL2             | Semivolaitle High-NOx SOA Product from Toluene       | 175.0                | L                      |
| ATOL3             | Low-Volatility Low-NOx SOA Product from Toluene      | 194.0                | L                      |
| ATRP1             | Semivolatile SOA Product from Monoterpenes           | 177.0                | L                      |
| ATRP2             | High-Volatility SOA Product from Monoterpenes        | 198.0                | L                      |
| AXYL1             | Semivolatile High-NOx SOA Product from Xylene        | 174.0                | L                      |
| AXYL2             | Semivolaitle High-NOx SOA Product from Xylene        | 185.0                | L                      |
| AXYL3             | Low-Volatility Low-NOx SOA Product from Xylene       | 218.0                | L                      |
| NUMACC            | Accum. Mode Number Conc                              | NA                   | NA                     |
| NUMAIT            | Aitken Mode Number Conc                              | NA                   | NA                     |
| NUMCOR            | Coarse Mode Number Conc                              | NA                   | NA                     |
| SRFACC            | Accum. Mode Surface Area Conc                        | NA                   | NA                     |
| SRFAIT            | Aitken Mode Surface Area Conc                        | NA                   | NA                     |
| SRFCOR            | Coarse Mode Surface Area Conc                        | NA                   | NA                     |

Note that for each aerosol mass species, a letter will be appended to the names below in order to designate the size, or mode, of the aerosol being represented: I = Aitken mode, J = Accumulation mode, K = Coarse mode.  
