**The GC namelist for racm2_ae6_aq has the following gas phase species.**

| **Model Species** | **Definition**                                                                                           | **Explicit or Lumped** | **Molecular Weight** |
| ----------------- | -------------------------------------------------------------------------------------------------------- | ---------------------- | -------------------- |
| ACD               | Acetaldehyde                                                                                             | E                      | 44                   |
| ACE               | Acetylene                                                                                                | E                      | 26                   |
| ACO3              | Acetyl peroxy radicals                                                                                   | E                      | 75                   |
| ACT               | acetone                                                                                                  | E                      | 58                   |
| ACTP              | Peroxy radicals formed from ACT                                                                          | E                      | 89                   |
| ADCN              | Aromatic-NO3 adduct from PHEN                                                                            | L                      | 156                  |
| ADDC              | Aromatic-HO adduct from CSL                                                                              | L                      | 125                  |
| ALD               | C3 and higher aldehydes                                                                                  | L                      | 58                   |
| ALKRXN            | Precursor of Terpene Aerosol Material                                                                    | L                      | 112                  |
| API               | Alpha-pinenes and other cyclic terpenes with one double bond                                             | L                      | 136                  |
| APIP              | Peroxy radicals formed from API                                                                          | L                      | 185                  |
| BAL1              | Peroxy radicals formed from BALD                                                                         | L                      | 121                  |
| BAL2              | Peroxy radicals formed from BALD                                                                         | L                      | 105                  |
| BALD              | Benzaldehyde and other aromatic aldehydes                                                                | L                      | 106                  |
| BALP              | Peroxy radicals formed from BALD                                                                         | L                      | 137                  |
| BENP              | Peroxy radicals formed from BEN                                                                          | L                      | 127                  |
| BENZENE           | Peroxy radicals formed from BEN                                                                          | L                      | 78                   |
| BENZRO2           | hydroxyperoxy radical tracker from BENZENE and OH reaction;an aerosol precursor                          | L                      | 127                  |
| BNZHRXN           | Precursor of Hydro-Benzene Aerosol Material                                                              | L                      | 127                  |
| BNZNRXN           | Precursor of Nitro-Benzene Aerosol Material                                                              | L                      | 127                  |
| CHO               | Phenoxy radical formed from CSL                                                                          | L                      | 139                  |
| CO                | Carbon monoxide                                                                                          | E                      | 28                   |
| CSL               | Cresol and other hydroxy substituted aromatics                                                           | L                      | 108                  |
| DCB1              | Unsaturated dicarbonyls                                                                                  | L                      | 91                   |
| DCB2              | Unsaturated dicarbonyls                                                                                  | L                      | 110                  |
| DCB3              | Unsaturated dicarbonyls                                                                                  | L                      | 84                   |
| DIEN              | Butadiene and other anthropogenic dienes                                                                 | L                      | 54                   |
| EOH               | Ethanol                                                                                                  | E                      | 46                   |
| EPX               | Epoxide formed in TOL, XYL and XYO reactions                                                             | L                      | 122.5                |
| ETE               | ethene                                                                                                   | E                      | 28                   |
| ETEG              | Ethylene glycol                                                                                          | E                      | 62                   |
| ETEP              | Peroxy radicals formed from ETE                                                                          | L                      | 77                   |
| ETH               | ethane                                                                                                   | E                      | 30                   |
| ETHP              | Peroxy radicals formed from ETH                                                                          | L                      | 61                   |
| GLY               | Glyoxal                                                                                                  | E                      | 58                   |
| H2O2              | Hydrogen peroxide                                                                                        | E                      | 34                   |
| HC3               | Alkanes, esters and alkynes with HO rate constant (298 K, 1 atm) less than 3.4x10-12 cm3 s-1             | L                      | 44                   |
| HC3P              | Peroxy radicals formed from HC3                                                                          | L                      | 75                   |
| HC5               | Alkanes, esters and alkynes with HO rate constant (298 K, 1 atm) between 3.4x10-12 and 6.8x10-12 cm3 s-1 | L                      | 72                   |
| HC5P              | Peroxy radicals formed from HC5                                                                          | L                      | 103                  |
| HC8               | Alkanes, esters and alkynes with HO rate constant (298 K, 1 atm) greater than 6.8x10-12 cm3 s-1          | L                      | 114                  |
| HC8P              | Peroxy radicals formed from HC8                                                                          | L                      | 145                  |
| HCHO              | Formaldehyde                                                                                             | E                      | 30                   |
| HKET              | Hydroxy ketone                                                                                           | E                      | 74                   |
| HNO3              | Nitric acid                                                                                              | E                      | 63                   |
| HNO4              | Pernitric acid                                                                                           | E                      | 79                   |
| HO                | Hydroxy radical                                                                                          | E                      | 17                   |
| HO2               | Hydroperoxy radical                                                                                      | E                      | 33                   |
| HONO              | Nitrous acid                                                                                             | E                      | 47                   |
| IEPOX             | isoprene epoxydiol                                                                                       | E                      | 118.1                |
| ISHP              | Beta-hydroxy hydroperoxides from ISOP+HO2                                                                | L                      | 118                  |
| ISO               | Isoprene                                                                                                 | E                      | 68                   |
| ISON              | Beta-hydroxyalkylnitrates from ISOP+NO alkylnitrates from ISO+NO3                                        | L                      | 147                  |
| ISOP              | Peroxy radicals formed from ISO+HO                                                                       | L                      | 117                  |
| ISOPRXN           | Peroxy radicals formed from ISO+HO                                                                       | L                      | 68                   |
| KET               | ketones                                                                                                  | E                      | 86                   |
| KETP              | Peroxy radicals formed from KET                                                                          | L                      | 117                  |
| LIM               | d-limonene and other cyclic diene-terpenes                                                               | L                      | 136                  |
| LIMP              | Peroxy radicals formed from LIM                                                                          | L                      | 185                  |
| MACP              | Peroxy radicals formed from MACR+HO                                                                      | L                      | 101                  |
| MACR              | methacrolein                                                                                             | E                      | 70                   |
| MAHP              | Hydroperoxides from MACP+HO2                                                                             | L                      | 102                  |
| MCP               | Peroxy radical formed from MACR + HO which does not form MPAN                                            | L                      | 119                  |
| MCT               | Methyl catechol                                                                                          | E                      | 124                  |
| MCTO              | Alkoxy radical formed from MCT+HO and MCT+NO3                                                            | L                      | 123                  |
| MCTP              | Radical formed fro MCT+O3 reaction                                                                       | L                      | 172                  |
| MEK               | Methyl ethyl ketone                                                                                      | E                      | 72                   |
| MEKP              | Peroxy radicals formed from MEK                                                                          | L                      | 103                  |
| MGLY              | Methylglyoxal and other alpha-carbonyl aldehydes                                                         | L                      | 72                   |
| MO2               | Methyl peroxy radical                                                                                    | E                      | 47                   |
| MOH               | methanol                                                                                                 | E                      | 32                   |
| MPAN              | Peroxymethacryloylnitrate and other higher peroxyacylnitrates from isoprene oxidation                    | L                      | 148                  |
| MVK               | Methyl vinyl ketone                                                                                      | E                      | 70                   |
| MVKP              | Peroxy radicals formed from MVK                                                                          | L                      | 119                  |
| N2O5              | Dinitrogen pentoxide                                                                                     | E                      | 108                  |
| NALD              | nitrooxyacetaldehyde                                                                                     | E                      | 105                  |
| NAPH              | naphthalene                                                                                              | E                      | 128.2                |
| NO                | Nitric oxide                                                                                             | E                      | 30                   |
| NO2               | Nitrogen dioxide                                                                                         | E                      | 46                   |
| NO3               | Nitrogen trioxide                                                                                        | E                      | 62                   |
| O1D               | Excited state oxygen atom, O(1D)                                                                         | E                      | 16                   |
| O3                | Ozone                                                                                                    | E                      | 48                   |
| O3P               | Ground state oxygen atom, O(3P)                                                                          | E                      | 16                   |
| OLI               | Internal alkenes                                                                                         | E                      | 68                   |
| OLIP              | Peroxy radicals formed from OLI                                                                          | E                      | 117                  |
| OLND              | NO3-alkene adduct reacting via decomposition                                                             | E                      | 136                  |
| OLNN              | NO3-alkene adduct reacting to form carbonitrates + HO2                                                   | E                      | 136                  |
| OLT               | Terminal alkenes                                                                                         | L                      | 42                   |
| OLTP              | Peroxy radicals formed from OLT                                                                          | L                      | 91                   |
| ONIT              | Organic nitrate                                                                                          | E                      | 119                  |
| OP1               | Methyl hydrogen peroxide                                                                                 | E                      | 48                   |
| OP2               | Higher organic peroxides                                                                                 | L                      | 62                   |
| ORA1              | Formic acid                                                                                              | E                      | 46                   |
| ORA2              | Acetic acid and higher acids                                                                             | L                      | 60                   |
| ORAP              | Peroxy radical formed from ORA2 + HO reaction                                                            | L                      | 109                  |
| PAA               | Peroxyacetic acids and higher analogs                                                                    | L                      | 76                   |
| PAHHRXN           | Precursor of Hydro-Naphthalene Aerosol Material                                                          | L                      | 187.2                |
| PAHNRXN           | Precursor of Nitro-Naphthalene Aerosol Material                                                          | L                      | 187.2                |
| PAHRO2            | Naphthalene hydroxyperoxy radical tracker from naphthalene and OH reaction; an aerosol precursor         | L                      | 187.2                |
| PAN               | Peroxyacetyl nitrate and higher saturated PANs                                                           | L                      | 121                  |
| PER1              | Peroxy intermediate formed from TOL                                                                      | E                      | 141                  |
| PER2              | Peroxy intermediate formed from TOL                                                                      | E                      | 157                  |
| PHEN              | phenol                                                                                                   | E                      | 94                   |
| PPN               | Peroxypropionyl nitrate                                                                                  | E                      | 135                  |
| RCO3              | Higher saturated acyl peroxy radicals                                                                    | L                      | 90                   |
| ROH               | C3 and higher alcohols                                                                                   | L                      | 60                   |
| SESQ              | Sesquiterpenes                                                                                           | E                      | 204                  |
| SESQRXN           | Precursor of Sesquiterpenes Aerosol Material                                                             | L                      | 204                  |
| SO2               | Sulfur dioxide                                                                                           | E                      | 64                   |
| SOAALK            | Alkanes that produce aerosol material                                                                    | L                      | 112                  |
| SULF              | Sulfuric acid                                                                                            | E                      | 98                   |
| SULRXN            | Precursor of Aerosol Sulfate                                                                             | L                      | 98                   |
| TLP1              | Peroxy radicals formed from TOL                                                                          | L                      | 91                   |
| TOL               | Toluene and less reactive aromatics                                                                      | L                      | 92                   |
| TOLHRXN           | Precursor of Hydro-Toulene Aerosol Material                                                              | L                      | 141                  |
| TOLNRXN           | Precursor of Nitro-Toulene Aerosol Material                                                              | L                      | 141                  |
| TOLP              | Peroxy radicals formed from TOL                                                                          | L                      | 141                  |
| TOLRO2            | Peroxy Radical tracer from TOL with OH reaction; an aerosol precursor                                    | L                      | 141                  |
| TR2               | Peroxy radicals formed from TOL                                                                          | L                      | 109                  |
| TRPRXN            | Precursor of Terpene Aerosol Material                                                                    | L                      | 136                  |
| UALD              | Unsaturated aldehydes                                                                                    | L                      | 84                   |
| UALP              | Peroxy radicals formed from UALD                                                                         | L                      | 133                  |
| XO2               | Accounts for addition NO to NO2 conversions                                                              | L                      | 1                    |
| XY2               | Peroxy radicals formed from XYL                                                                          | L                      | 124                  |
| XYL1              | Peroxy radicals formed from XYL                                                                          | L                      | 156                  |
| XYLHRXN           | Precursor of Hydro-Xylene Aerosol Material                                                               | L                      | 155                  |
| XYLNRXN           | Precursor of Nitro-Xylene Aerosol Material                                                               | L                      | 155                  |
| XYLP              | Peroxy radicals formed from XYL                                                                          | L                      | 155                  |
| XYLRO2            | Xylene hydroxyperoxy radical tracker from xylene isomer and OH reactions;an aerosol precursor            | L                      | 155                  |
| XYM               | M-xylene                                                                                                 | E                      | 106                  |
| XYO               | o-xylene                                                                                                 | E                      | 106                  |
| XYO2              | Peroxy radicals formed from XYO                                                                          | L                      | 155                  |
| XYOP              | Peroxy radicals formed from XYO                                                                          | L                      | 155                  |
| XYP               | P-xylene                                                                                                 | E                      | 106                  |
|                   | 


**The AE namelist for racm2_ae6_aq has the following aerosol species.**

| **Model Species** | **Definition**                                             | **Molecular Weight** | **Explicit or Lumped** |
|-----------|-----------------------------------------------------|--------------------| ----------------------|
| AAL               | Aluminum                                             | 27                   | E                      |
| AALK1             | Semivolaitle SOA Product from Alkane VOCs            | 225.0                | L                      |
| AALK2             | Semivolatile SOA Product from Alkane VOCs            | 205.1                | L                      |
| ABNZ1             | Semivolatile High-NOx SOA Product from Benzene       | 161.0                | L                      |
| ABNZ2             | Semivolatile High-NOx SOA Product from Benzene       | 134.0                | L                      |
| ABNZ3             | Low-Volatility Low-NOx SOA Product from Benzene      | 180.0                | L                      |
| ACA               | Calcium                                              | 40.1                 | E                      |
| ACL               | Chloride                                             | 35.5                 | E                      |
| ACORS             | Anthropogenic Coarse-mode particle mass              | 100.0                | L                      |
| AEC               | Elemental Carbon                                     | 12                   | E                      |
| AFE               | Iron                                                 | 55.8                 | E                      |
| AH2O              | Water                                                | 18                   | E                      |
| AH3OP             | Hydronium Ion                                        | 19                   | E                      |
| AISO1             | Semivolatile SOA Product from Isoprene               | 132.0                | L                      |
| AISO2             | High-Volatility SOA Product from Isoprene            | 133.0                | L                      |
| AISO3             | Acid-catalyzed Isoprene Epoxydiol SOA                | 168.2                | L                      |
| AIVPO1            | Intermediate Volatility Primary Organic Compounds    | 266                  | L                      |
| AK                | Potassium                                            | 39.1                 | E                      |
| ALVOO1            | Low Volatility Oxidized Combustion Organic Compounds | 136                  | L                      |
| ALVOO2            | Low Volatility Oxidized Combustion Organic Compounds | 136                  | L                      |
| ALVPO1            | Low Volatility Primary Organic Compounds             | 218                  | L                      |
| AMG               | Magnesium                                            | 24.3                 | E                      |
| AMN               | Manganese                                            | 54.9                 | E                      |
| ANA               | Sodium                                               | 23                   | E                      |
| ANH4              | Ammonium                                             | 18                   | E                      |
| ANO3              | Nitrate                                              | 62                   | E                      |
| AOLGA             | Oligomer products of anthropogenic SOA compounds     | 206.0                | L                      |
| AOLGB             | Oligomer products of biogenic SOA compounds          | 248.0                | L                      |
| AORGC             | Glyoxal and methylglyoxal SOA produced in cloud water                        | 177.0                | L                      |
| AOTHR             | Other Particulate Mass                               | 200                  | L                      |
| APAH1             | Semivolatile High-NOx SOA Product from PAHs          | 195.6                | L                      |
| APAH2             | Semivolatile High-NOx  SOA Product from PAHs         | 178.7                | L                      |
| APAH3             | Low-Volatility Low-NOx SOA Product from PAHs         | 212.2                | L                      |
| APCSO             | Potential Combustion SOA                             | 170                  | L                      |
| APNCOM            | Non-Carbon Organic Matter associated with APOC       | 220.0                | L                      |
| APOC              | Primary Organic Carbon                               | 220.0                | L                      |
| ASEACAT           | Sea spray cations                                    | 23.75                | L                      |
| ASI               | Silicon                                              | 28.1                 | E                      |
| ASO4              | Sulfate                                              | 96                   | E                      |
| ASOIL             | Lumped crustal species                               | 100.0                | L                      |
| ASQT              | Semivolatile SOA Product from Sesquiterpenes         | 273.0                | L                      |
| ASVOO1            | Semivolatile Oxidized Combustion Organic Compounds   | 135                  | L                      |
| ASVOO2            | Semivolatile Oxidized Combustion Organic Compounds   | 135                  | L                      |
| ASVOO3            | Semivolatile Oxidized Combustion Organic Compounds   | 134                  | L                      |
| ASVPO1            | Semivolatile Primary Organic Compounds               | 230                  | L                      |
| ASVPO2            | Semivolatile Primary Organic Compounds               | 241                  | L                      |
| ASVPO3            | Semivolatile Primary Organic Compounds               | 253                  | L                      |
| ATI               | Titanium                                             | 47.9                 | E                      |
| ATOL1             | Semivolatile High-NOx SOA Product from Toluene       | 163.0                | L                      |
| ATOL2             | Semivolaitle High-NOx SOA Product from Toluene       | 175.0                | L                      |
| ATOL3             | Low-Volatility Low-NOx SOA Product from Toluene      | 194.0                | L                      |
| ATRP1             | Semivolatile SOA Product from Monoterpenes           | 177.0                | L                      |
| ATRP2             | High-Volatility SOA Product from Monoterpenes        | 198.0                | L                      |
| AXYL1             | Semivolatile High-NOx SOA Product from Xylene        | 174.0                | L                      |
| AXYL2             | Semivolaitle High-NOx SOA Product from Xylene        | 185.0                | L                      |
| AXYL3             | Low-Volatility Low-NOx SOA Product from Xylene       | 218.0                | L                      |
| NUMACC            | Accum. Mode Number Conc                              | NA                   | NA                     |
| NUMAIT            | Aitken Mode Number Conc                              | NA                   | NA                     |
| NUMCOR            | Coarse Mode Number Conc                              | NA                   | NA                     |
| SRFACC            | Accum. Mode Surface Area Conc                        | NA                   | NA                     |
| SRFAIT            | Aitken Mode Surface Area Conc                        | NA                   | NA                     |
| SRFCOR            | Coarse Mode Surface Area Conc                        | NA                   | NA                     |

Note that for each aerosol mass species, a letter will be appended to the names below in order to designate the size, or mode, of the aerosol being represented: I = Aitken mode, J = Accumulation mode, K = Coarse mode.  
**The NR namelist for racm2_ae6_aq has the following gas phase species.**

| **Model Species** | **Definition**                                             | **Molecular Weight** | **Explicit or Lumped** |
| ----------------- | ---------------------------------------------------- | -------------------- | ---------------------- |
|  LVPCSOG          |  surrogate SOA precursor gas for combustion/anthropogenic sources           | 170.0  |  L  |  
|  NH3              |  ammonia                                                    |  17.0  |  E  |      
|  SVALK1           |  vapors of secondary aerosol material from alkane VOCs      | 225.0  |  L  |     
|  SVALK2           |  vapors of secondary aerosol material from alkane VOCs      | 205.1  |  L  |     
|  SVXYL1           |  vapors of secondary aerosol material from xylenes          | 174.0  |  L  |  
|  SVXYL2           |  vapors of secondary aerosol material from xylenes          | 185.0  |  L  |  
|  SVTOL1           |  vapors of secondary aerosol material from toluene          | 163.0  |  L  |  
|  SVTOL2           |  vapors of secondary aerosol material from toluene          | 175.0  |  L  |  
|  SVBNZ1           |  vapors of secondary aerosol material from benzene          | 161.0  |  L  |  
|  SVBNZ2           |  vapors of secondary aerosol material from benzene          | 134.0  |  L  |  
|  SVPAH1           |  vapors of secondary aerosol material from PAHs             | 195.6  |  L  |  
|  SVPAH2           |  vapors of secondary aerosol material from PAHs             | 178.7  |  L  |  
|  SVTRP1           |  vapors of secondary aerosol material from monoterpenes     | 177.0  |  L  |      
|  SVTRP2           |  vapors of secondary aerosol material from monoterpenes     | 198.0  |  L  |      
|  SVISO1           |  vapors of secondary aerosol material from isoprene         | 132.0  |  L  |  
|  SVISO2           |  vapors of secondary aerosol material from isoprene         | 133.0  |  L  |  
|  SVSQT            |  vapors of secondary aerosol material from sesquiterpenes   | 273.0  |  L  |         
