**The GC namelist for saprc07tc_ae6_aq has the following gas phase species.**

| **Species Name** | **Defintion** | **Explicit or Lumped** | **Molecular Weight** |
|-----------|--------------------------------------|-----------------|------------------|
|ACETONE|Acetone|E|58.10 |
|ACETYLENE|Acetylene|E|26.00 |
|ACRO_PRIMARY|Acrolein emissions tracer|E|56.10 |
|ACROLEIN|Acrolein|E|56.10 |
|AFG1|Lumped photoreactive monounsaturated dicarbonyl aromatic fragmentation products that photolyze to form radicals|L|98.10 |
|AFG2|Lumped photoreactive monounsaturated dicarbonyl aromatic fragmentation products that photolyze to form non-radical products|L|98.10 |
|AFG3|Lumped diunsaturatred dicarbonyl aromatic fragmentation product.|L|124.10 |
|ALK1|Alkanes and other non-aromatic compounds that react only with OH, and have kOH between 2 and 5 x 102 ppm-1 min-1.  (Primarily ethane)|L|30.10 |
|ALK2|Alkanes and other non-aromatic compounds that react only with OH, and have kOH between 5 x 102 and 2.5 x 103 ppm-1 min-1. (Primarily propane and acetylene)|L|36.70 |
|ALK3|Alkanes and other non-aromatic compounds that react only with OH, and have kOH between 2.5 x 103 and 5 x 103 ppm-1 min-1.|L|58.60 |
|ALK4|Alkanes and other non-aromatic compounds that react only with OH, and have kOH between 5 x 103 and 1 x 104 ppm-1 min-1.|L|77.60 |
|ALK5|Alkanes and other non-aromatic compounds that react only with OH, and have kOH greater than 1 x 104 ppm-1 min-1.|L|118.90 |
|ALKRXN|Precursor of Terpene Aerosol Material|L|112.00 |
|APIN|a-pinene|E|136.20 |
|ARO1|Aromatics with kOH < 2x104 ppm-1 min-1.|L|95.20 |
|ARO2MN|ARO2 minus naphthalene|L|118.70 |
|BACL|Biacetyl|E|86.10 |
|BALD|Aromatic aldehydes (e.g., benzaldehyde)|L|106.10 |
|BENZENE|Benzene|E|78.10 |
|BENZRO2|Peroxy radical tracer from Benzene and OH reaction used to produce aerosol material|L|159.10 |
|BNZHRXN|Precursor of Hydro-Benzene Aerosol Material|L|159.10 |
|BNZNRXN|Precursor of Nitro-Benzene Aerosol Material|L|159.10 |
|BUTADIENE13|1,3-butadiene|E|54.10 |
|BZCO3|Peroxyacyl radical formed from Aromatic Aldehydes|L|137.10 |
|BZO|Phenoxy Radicals|E|93.00 |
|CCHO|Acetaldehyde|E|44.10 |
|CCHO_PRIMARY|Acetaldehyde Emissions Tracer|E|44.10 |
|CCOOH|Acetic Acid. Also used for peroxyacetic acid in Carter|E|60.10 |
|CCOOOH|Proposed for Peroxyacetic Acid|E|76.00 |
|CL|Chlorine atoms|E|35.50 |
|CL2|Chlorine molecules|E|70.00 |
|CLACET|Chloroacetone (and other alpha-chloro ketones that are assumed to be similarly photoreactive)|L|92.50 |
|CLCCHO|Chloroacetaldehyde (and other alpha-chloro aldehydes that are assumed to be similarly photoreactive)|L|78.50 |
|CLCHO|Formyl Chloride (assumed to be unreactive)|E|64.50 |
|CLNO|Nitrosyl Chloride|E|65.50 |
|CLNO2|Nitryl Chloride|E|81.50 |
|CLO|Chlorine Monoxide Radicals|E|51.50 |
|CLONO|Nitrous Hypochloride |E|81.50 |
|CLONO2|Chlorine Nitrate|E|97.50 |
|CO|Carbon Monoxide|E|28.00 |
|CO2|Carbon Dioxide|E|44.00 |
|COOH|Methyl Hydroperoxide|E|48.00 |
|CRES|Phenols and Cresols|E|108.10 |
|ETHENE|Ethene|E|28.10 |
|ETOH|Ethanol|E|46.10 |
|GLY|Glyoxal|E|58.00 |
|H2NO3PIJ|Fine Mode Dissolved Nitric Acid|E|64.00 |
|H2NO3PK|Coarse Mode Dissolved Nitric Acid|E|64.00 |
|HCHO|Formaldehyde|E|30.00 |
|HCHO_PRIMARY|Formaldehyde Emission Tracer|E|30.00 |
|HCL|Hydrochloric acid|E|36.50 |
|HCOCO3|acylperoxy radicals from glyoxal|E|89.00 |
|HCOOH|Formic Acid|E|46.00 |
|HNO3|Nitric Acid|E|63.00 |
|HNO4|Peroxynitric Acid|E|79.00 |
|HO2|Hydroperoxide Radicals|E|33.00 |
|HO2H|Hydrogen Peroxide|E|34.00 |
|HOCCHO|Glycolaldehyde|E|60.10 |
|HOCL|Hypochlorous acid|E|52.50 |
|HONO|Nitrous Acid|E|47.00 |
|IEPOX|dihydroxyepoxides|E|118.13 |
|IEPOXOO|peroxy radical from IEPOX|E|149.12 |
|IPRD|Lumped isoprene product species|L|100.10 |
|ISOPOOH|hydroxyhydroperoxides from ISOPO2|L|118.20 |
|ISOPRENE|Isoprene|E|68.10 |
|ISOPRXN|SOA precursor compounds from isoprene|E|68.00 |
|MACO3|Peroxyacyl radicals formed from methacrolein and other acroleins.|L|101.10 |
|MACR|Methacrolein|E|70.10 |
|MAPAN|PAN analogue formed from Methacrolein|E|147.10 |
|MECO3|Acetyl Peroxy Radicals|E|75.00 |
|MEK|Ketones and other non-aldehyde oxygenated products which react with OH radicals faster than 5 x 10-13 but slower than 5 x 10-12 cm3 molec-2 sec-1. (Based on mechanism for methyl ethyl ketone).|L|72.10 |
|MEO2|Methyl Peroxy Radicals|E|47.00 |
|MEOH|Methanol|E|32.00 |
|MGLY|Methyl Glyoxal|E|72.10 |
|MVK|Methyl Vinyl Ketone|E|70.10 |
|MXYL|m-xylene|E|106.20 |
|N2O5|Nitrogen Pentoxide|E|108.00 |
|NAPHTHAL|naphthalene|E|118.70 |
|NO|Nitric Oxide|E|30.00 |
|NO2|Nitrogen Dioxide|E|46.00 |
|NO3|Nitrate Radical|E|62.00 |
|NPHE|Nitrophenols|L|139.10 |
|O1D|Excited Oxygen Atoms|E|16.00 |
|O3|Ozone|E|48.00 |
|O3P|Ground State Oxygen Atoms|E|16.00 |
|OH|Hydroxyl Radicals|E|17.00 |
|OLE1|Alkenes (other than ethene) with kOH < 7x104 ppm-1 min-1.|L|72.30 |
|OLE2|Alkenes with kOH > 7x104 ppm-1 min-1.|L|75.80 |
|OXYL|o-xylene|E|106.20 |
|PAHHRXN|Precursor of Hydro-Naphthalene Aerosol Material|L|172.10 |
|PAHNRXN|Precursor of Nitro-Naphthalene Aerosol Material|L|172.10 |
|PAHRO2|Naphthalene hydroxyperoxy radical tracker from naphthalene and OH reaction; an aerosol precursor|L|187.20 |
|PAN|Peroxy Acetyl Nitrate|E|121.10 |
|PAN2|PPN and other higher alkyl PAN analogues|L|135.10 |
|PBZN|PAN analogues formed from Aromatic Aldehydes|L|183.10 |
|PRD2|Ketones and other non-aldehyde oxygenated products which react with OH radicals faster than 5 x 10-12 cm3 molec-2 sec-1.|L|116.20 |
|PROPENE|propene|E|42.10 |
|PXYL|p-xylene|E|106.20 |
|R6OOH|Lumped organic hydroperoxides with 5 or more carbons (other than those formed following OH addition to aromatic rings, which is reprsented separately). Mechanism based on that estimated for 3-hexyl hydroperoxide.|L|118.20 |
|RAOOH|Organic hydroperoxides formed following OH addition to aromatic rings, which is reprsented separately because of their probable role in SOA formation. Mechanism based on two isomers expected to be formed in the m-xylene system.|L|188.20 |
|RCHO|Lumped C3+ Aldehydes (mechanism based on propionaldehyde)|L|58.10 |
|RCO3|Peroxy Propionyl and higher peroxy acyl Radicals|L|89.10 |
|RCOOH|Higher organic acids and, in Carter, peroxy acids (mechanism based on propionic acid).|L|74.10 |
|RCOOOH|Proposed Higher organic peroxy acids|L|74.10 |
|RNO3|Lumped Organic Nitrates|L|147.20 |
|RO2C|Peroxy Radical Operator representing NO to NO2 and NO3 to NO2 conversions, and the effects of peroxy radical reactions on acyl peroxy and other peroxy radicals.|L|1.00 |
|RO2XC|Peroxy Radical Operator representing NO consumption (used in conjunction with organic nitrate formation), and the effects of peroxy radical reactions on NO3, acyl peroxy radicals, and other peroxy radicals.|L|1.00 |
|ROOH|Lumped organic hydroperoxides with 2-4 carbons. Mechanism based on that estimated for n-propyl hydroperoxide.|L|76.10 |
|SESQ|Sesquiterpenes|L|204.40 |
|SESQRXN|Precursor of Sesquiterpenes Aerosol Material|L|204.40 |
|SO2|Sulfur Dioxide|E|64.10 |
|SOAALK|Alkanes that produce aerosol material|L|112.00 |
|SULF|Sulfates (SO3 or H2SO4)|L|98.10 |
|SULRXN|Precursor of Aerosol Sulfate|E|98.10 |
|TBUO|t-Butoxy Radicals|E|73.00 |
|TERP|Terpenes|E|136.20 |
|TMBENZ124|1,2,4-trimethyl benzene|E|120.20 |
|TOLHRXN|Precursor of Hydro-Toulene Aerosol Material|L|172.10 |
|TOLNRXN|Precursor of Nitro-Toulene Aerosol Material|L|172.10 |
|TOLRO2|Peroxy Radical tracker from TOLUENE and ARO1 reactions with OH; an aerosol precursor|L|172.10 |
|TOLUENE|toluene|E|92.10 |
|TRPRXN|Precursor of Terpene Aerosol Material|E|136.20 |
|xACETONE|ACETONE production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|L|58.10 |
|xACROLEIN|ACROLEIN production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|L|56.10 |
|xAFG1|AFG1 production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|L|98.10 |
|xAFG2|AFG2 production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|L|98.10 |
|xAFG3|AFG3 production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|L|124.70 |
|xBACL|BACL production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|L|86.10 |
|xBALD|BALD production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|L|106.10 |
|xCCHO|CCHO production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|L|44.10 |
|xCL|Cl production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|L|35.50 |
|xCLACET|CLACET production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|L|92.50 |
|xCLCCHO|CLCCHO production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|78.50 |
|xCO|CO production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|28.00 |
|xGLY|GLY production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|58.00 |
|xHCHO|HCHO production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|30.00 |
|xHO2|Formation of HO2 from alkoxy radicals formed in peroxy radical reactions with NO and NO3 (100% yields) and RO2 (50% yields)|E|33.00 |
|xHOCCHO|HOCCHO production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|60.10 |
|xIPRD|IPRD production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|100.10 |
|xMACO3|MACO3 production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|101.10 |
|xMACR|MACR production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|70.10 |
|xMECO3|MECO3 production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|75.00 |
|xMEK|MEK production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|72.10 |
|xMEO2|MEO2 production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|47.00 |
|xMGLY|MGLY production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|72.10 |
|xMVK|MVK production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|70.10 |
|xNO2|NO2 production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|46.00 |
|xOH|OH production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|17.00 |
|xPROD2|PROD2 production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|116.20 |
|xRCHO|RCHO production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|58.10 |
|xRCO3|RCO3 production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|89.10 |
|xRNO3|RNO3 production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|147.20 |
|xTBUO|TBUO production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|73.00 |
|XYLHRXN|Precursor of Hydro-Xylene Aerosol Material|L|187.20 |
|XYLNRXN|Precursor of Nitro-Xylene Aerosol Material|L|187.20 |
|XYLRO2|Peroxy Radical tracker from xylene and ARO2 reactions with OH;an aerosol precursor|E|187.20 |
|yISOPOOH|isoprene hydroperoxide production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|E|118.20 |
|yR6OOH|R6OOH production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|L|118.20 |
|yRAOOH|RAOOH production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|L|188.20 |
|yROOH|ROOH production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|L|76.10 |
|zRNO3|RNO3 production operator via reaction with Peroxy, Acetyl Peroxy, their operators, NO or NO3 Radicals (yield vary based on radical)|L|147.20 |
**The AE namelist for saprc07tc_ae6_aq has the following aerosol species.**

| **Model Species** | **Definition**                                             | **Molecular Weight** | **Explicit or Lumped** |
| ----------------- | ---------------------------------------------------- | -------------------- | ---------------------- |
| AAL               | Aluminum                                             | 27                   | E                      |
| AALK1             | Semivolaitle SOA Product from Alkane VOCs            | 225.0                | L                      |
| AALK2             | Semivolatile SOA Product from Alkane VOCs            | 205.1                | L                      |
| ABNZ1             | Semivolatile High-NOx SOA Product from Benzene       | 161.0                | L                      |
| ABNZ2             | Semivolatile High-NOx SOA Product from Benzene       | 134.0                | L                      |
| ABNZ3             | Low-Volatility Low-NOx SOA Product from Benzene      | 180.0                | L                      |
| ACA               | Calcium                                              | 40.1                 | E                      |
| ACL               | Chloride                                             | 35.5                 | E                      |
| ACORS             | Anthropogenic Coarse-mode particle mass              | 100.0                | L                      |
| AEC               | Elemental Carbon                                     | 12                   | E                      |
| AFE               | Iron                                                 | 55.8                 | E                      |
| AH2O              | Water                                                | 18                   | E                      |
| AH3OP             | Hydronium Ion                                        | 19                   | E                      |
| AISO1             | Semivolatile SOA Product from Isoprene               | 132.0                | L                      |
| AISO2             | High-Volatility SOA Product from Isoprene            | 133.0                | L                      |
| AISO3             | Acid-catalyzed Isoprene Epoxydiol SOA                | 168.2                | L                      |
| AIVPO1            | Intermediate Volatility Primary Organic Compounds    | 266                  | L                      |
| AK                | Potassium                                            | 39.1                 | E                      |
| ALVOO1            | Low Volatility Oxidized Combustion Organic Compounds | 136                  | L                      |
| ALVOO2            | Low Volatility Oxidized Combustion Organic Compounds | 136                  | L                      |
| ALVPO1            | Low Volatility Primary Organic Compounds             | 218                  | L                      |
| AMG               | Magnesium                                            | 24.3                 | E                      |
| AMN               | Manganese                                            | 54.9                 | E                      |
| ANA               | Sodium                                               | 23                   | E                      |
| ANH4              | Ammonium                                             | 18                   | E                      |
| ANO3              | Nitrate                                              | 62                   | E                      |
| AOLGA             | Oligomer products of anthropogenic SOA compounds     | 206.0                | L                      |
| AOLGB             | Oligomer products of biogenic SOA compounds          | 248.0                | L                      |
| AORGC             | Glyoxal and methylglyoxal SOA produced in cloud water                        | 177.0                | L                      |
| AOTHR             | Other Particulate Mass                               | 200                  | L                      |
| APAH1             | Semivolatile High-NOx SOA Product from PAHs          | 195.6                | L                      |
| APAH2             | Semivolatile High-NOx  SOA Product from PAHs         | 178.7                | L                      |
| APAH3             | Low-Volatility Low-NOx SOA Product from PAHs         | 212.2                | L                      |
| APCSO             | Potential Combustion SOA                             | 170                  | L                      |
| APNCOM            | Non-Carbon Organic Matter associated with APOC       | 220.0                | L                      |
| APOC              | Primary Organic Carbon                               | 220.0                | L                      |
| ASEACAT           | Sea spray cations                                    | 23.75                | L                      |
| ASI               | Silicon                                              | 28.1                 | E                      |
| ASO4              | Sulfate                                              | 96                   | E                      |
| ASOIL             | Lumped crustal species                               | 100.0                | L                      |
| ASQT              | Semivolatile SOA Product from Sesquiterpenes         | 273.0                | L                      |
| ASVOO1            | Semivolatile Oxidized Combustion Organic Compounds   | 135                  | L                      |
| ASVOO2            | Semivolatile Oxidized Combustion Organic Compounds   | 135                  | L                      |
| ASVOO3            | Semivolatile Oxidized Combustion Organic Compounds   | 134                  | L                      |
| ASVPO1            | Semivolatile Primary Organic Compounds               | 230                  | L                      |
| ASVPO2            | Semivolatile Primary Organic Compounds               | 241                  | L                      |
| ASVPO3            | Semivolatile Primary Organic Compounds               | 253                  | L                      |
| ATI               | Titanium                                             | 47.9                 | E                      |
| ATOL1             | Semivolatile High-NOx SOA Product from Toluene       | 163.0                | L                      |
| ATOL2             | Semivolaitle High-NOx SOA Product from Toluene       | 175.0                | L                      |
| ATOL3             | Low-Volatility Low-NOx SOA Product from Toluene      | 194.0                | L                      |
| ATRP1             | Semivolatile SOA Product from Monoterpenes           | 177.0                | L                      |
| ATRP2             | High-Volatility SOA Product from Monoterpenes        | 198.0                | L                      |
| AXYL1             | Semivolatile High-NOx SOA Product from Xylene        | 174.0                | L                      |
| AXYL2             | Semivolaitle High-NOx SOA Product from Xylene        | 185.0                | L                      |
| AXYL3             | Low-Volatility Low-NOx SOA Product from Xylene       | 218.0                | L                      |
| NUMACC            | Accum. Mode Number Conc                              | NA                   | NA                     |
| NUMAIT            | Aitken Mode Number Conc                              | NA                   | NA                     |
| NUMCOR            | Coarse Mode Number Conc                              | NA                   | NA                     |
| SRFACC            | Accum. Mode Surface Area Conc                        | NA                   | NA                     |
| SRFAIT            | Aitken Mode Surface Area Conc                        | NA                   | NA                     |
| SRFCOR            | Coarse Mode Surface Area Conc                        | NA                   | NA                     |

Note that for each aerosol mass species, a letter will be appended to the names below in order to designate the size, or mode, of the aerosol being represented: I = Aitken mode, J = Accumulation mode, K = Coarse mode.  

**The NR namelist for sapr07tc_ae6_aq has the following gas phase species.**

| **Model Species** | **Definition**                                             | **Molecular Weight** | **Explicit or Lumped** |
| ----------------- | ---------------------------------------------------- | -------------------- | ---------------------- |
|  LVPCSOG          |  surrogate SOA precursor gas for combustion/anthropogenic sources          | 170.0  |  L  |  
|  NH3              |  ammonia                                                    |  17.0  |  E  |      
|  SVALK1           |  vapors of secondary aerosol material from alkane VOCs      | 225.0  |  L  |     
|  SVALK2           |  vapors of secondary aerosol material from alkane VOCs      | 205.1  |  L  |     
|  SVXYL1           |  vapors of secondary aerosol material from xylenes          | 174.0  |  L  |  
|  SVXYL2           |  vapors of secondary aerosol material from xylenes          | 185.0  |  L  |  
|  SVTOL1           |  vapors of secondary aerosol material from toluene          | 163.0  |  L  |  
|  SVTOL2           |  vapors of secondary aerosol material from toluene          | 175.0  |  L  |  
|  SVBNZ1           |  vapors of secondary aerosol material from benzene          | 161.0  |  L  |  
|  SVBNZ2           |  vapors of secondary aerosol material from benzene          | 134.0  |  L  |  
|  SVPAH1           |  vapors of secondary aerosol material from PAHs             | 195.6  |  L  |  
|  SVPAH2           |  vapors of secondary aerosol material from PAHs             | 178.7  |  L  |  
|  SVTRP1           |  vapors of secondary aerosol material from monoterpenes     | 177.0  |  L  |      
|  SVTRP2           |  vapors of secondary aerosol material from monoterpenes     | 198.0  |  L  |      
|  SVISO1           |  vapors of secondary aerosol material from isoprene         | 132.0  |  L  |  
|  SVISO2           |  vapors of secondary aerosol material from isoprene         | 133.0  |  L  |  
|  SVSQT            |  vapors of secondary aerosol material from sesquiterpenes   | 273.0  |  L  |         
