**The AE namelist for saprc07tic_ae7i_aq has the following aerosol species.**

| **Model Species** | **Name**                                             | **Molecular Weight** | **Explicit or Lumped** |
| ----------------- | ---------------------------------------------------- | -------------------- | ---------------------- |
| AAL               | Aluminum                                             | 27                   | E                      |
| AAVB1 | low volatility organic particulate matter from oxidation of anthropogenic VOCs  | 198.0 |  L |
| AAVB2 | semivolailte organic particulate matter from oxidation of anthropogenic VOCs  | 179.0 |  L |
| AAVB3 | semivolailte organic particulate matter from oxidation of anthropogenic VOCs | 169.0 |  L |
| AAVB4 | semivolailte organic particulate matter from oxidation of anthropogenic VOCs | 158.0 |  L |
| ACA               | Calcium                                              | 40.1                 | E                      |
| ACL               | Chloride                                             | 35.5                 | E                      |
| ACORS             | Anthropogenic Coarse-mode particle mass              | 100.0                | L                      |
| AEC               | Elemental Carbon                                     | 12                   | E                      |
| AFE               | Iron                                                 | 55.8                 | E                      |
| AGLY              | Glyoxal and Methylglyoxal SOA                        | 66.4                 | L                      |
| AH2O              | Water                                                | 18                   | E                      |
| AH3OP             | Hydronium Ion                                        | 19                   | E                      |
| AIEOS             | IEPOX-derived organosulfate                          | 216.20               | E                      |
| AIETET            | 2-methyltetrols from IEPOX uptake onto particles     |136.15                | E                      |
| ADIM              | oligomers (dimers) from IEPOX uptake onto particles  |248.23                | L                      |
| AIMGA             | 2-methylglyceric acid from MAE+HMMLL uptake onto particles  | 120.10        | E                      |
| AIMOS             | organosulfate from MAE+HMML uptake onto particles    |200.16                | E                      |
| AISO1             | Semivolatile SOA Product from Isoprene               | 132.0                | L                      |
| AISO2             | High-Volatility SOA Product from Isoprene            | 133.0                | L                      |
| AISO3             | Acid-Catalyzed Isoprene SOA compounds                | 168.2                | L                      |
| AISOPNN           | SOA from isoprene dinitrates (C*=8.9 ug/m3)          |226 |L|
| AIVPO1            | Intermediate Volatility Primary Organic Compounds    | 266                  | L                      |
| AK                | Potassium                                            | 39.1                 | E                      |
| ALVOO1            | Low Volatility Oxidized Combustion Organic Compounds | 136                  | L                      |
| ALVOO2            | Low Volatility Oxidized Combustion Organic Compounds | 136                  | L                      |
| ALVPO1            | Low Volatility Primary Organic Compounds             | 218                  | L                      |
| AMG               | Magnesium                                            | 24.3                 | E                      |
| AMN               | Manganese                                            | 54.9                 | E                      |
| AMT1 | low volatility particulate matter from monoterpene photoxidation, C*=0.01 ug/m3 | 200.0   | L |
| AMT2 | low volatility particulate matter from monoterpene photoxidation, C*=0.1 ug/m3 |  300.0  | L |
| AMT3 | semivolailte particulate matter from monoterpene photoxidation, C*=1 ug/m3 | 186.0   | L |
| AMT4 | semivolatile particulate matter from monoterpene photoxidation, C*=10 ug/m3 |  184.0  | L |
| AMT5 | semivolatile particulate matter from monoterpene photoxidation, C*=100 ug/m3 |  170.0  | L |
| AMT6 | semivolatile particulate matter from monoterpene photoxidation, C*=1000 ug/m3 | 168.0   | L |
| AMTNO3 | semivolatile organic nitrates from monoterpene oxidation | 231.0 | L |
| AMTHYD | organic pseudo-hydrolysis accretion product from monoterpene organic nitrates (AMTNO3J) | 168.0| L |
| ANA               | Sodium                                               | 23                   | E                      |
| ANH4              | Ammonium                                             | 18                   | E                      |
| ANO3              | Nitrate                                              | 62                   | E                      |
| AOLGA             | Oligomer products of anthropogenic SOA compounds     | 206.0                | L                      |
| AOLGB             | Oligomer products of biogenic SOA compounds          | 248.0                | L                      |
| AORGC             | Glyoxal and Methylglyoxal SOA                        | 177.0                | L                      |
| AORGH2O           | Water associated with organic species of particulate matter | 18.0                | E                      |
| AOTHR             | Other Particulate Mass                               | 200                  | L                      |
| APCSO             | Potential Combustion SOA                             | 170                  | L                      |
| APNCOM            | Non-Carbon Organic Matter associated with APOC       | 220.0                | L                      |
| APOC              | Primary Organic Carbon                               | 220.0                | L                      |
| ASEACAT           | Sea spray cations                                    | 23.75                | L                      |
| ASI               | Silicon                                              | 28.1                 | E                      |
| ASO4              | Sulfate                                              | 96                   | E                      |
| ASOIL             | Lumped crustal species                               | 100.0                | L                      |
| ASQT              | Semivolatile SOA Product from Sesquiterpenes         | 273.0                | L                      |
| ASVOO1            | Semivolatile Oxidized Combustion Organic Compounds   | 135                  | L                      |
| ASVOO2            | Semivolatile Oxidized Combustion Organic Compounds   | 135                  | L                      |
| ASVOO3            | Semivolatile Oxidized Combustion Organic Compounds   | 134                  | L                      |
| ASVPO1            | Semivolatile Primary Organic Compounds               | 230                  | L                      |
| ASVPO2            | Semivolatile Primary Organic Compounds               | 241                  | L                      |
| ASVPO3            | Semivolatile Primary Organic Compounds               | 253                  | L                      |
| ATI               | Titanium                                             | 47.9                 | E                      |
| NUMACC            | Accum. Mode Number Conc                              | NA                   | NA                     |
| NUMAIT            | Aitken Mode Number Conc                              | NA                   | NA                     |
| NUMCOR            | Coarse Mode Number Conc                              | NA                   | NA                     |
| SRFACC            | Accum. Mode Surface Area Conc                        | NA                   | NA                     |
| SRFAIT            | Aitken Mode Surface Area Conc                        | NA                   | NA                     |
| SRFCOR            | Coarse Mode Surface Area Conc                        | NA                   | NA                     |

Note that for each aerosol mass species, a letter will be appended to the names below in order to designate the size, or mode, of the aerosol being represented: I = Aitken mode, J = Accumulation mode, K = Coarse mode.  
