
!------------------------------------------------------------------------!
!  The Community Multiscale Air Quality (CMAQ) system software is in     !
!  continuous development by various groups and is based on information  !
!  from these groups: Federal Government employees, contractors working  !
!  within a United States Government contract, and non-Federal sources   !
!  including research institutions.  These groups give the Government    !
!  permission to use, prepare derivative works of, and distribute copies !
!  of their work in the CMAQ system to the public and to permit others   !
!  to do so.  The United States Environmental Protection Agency          !
!  therefore grants similar permission to use the CMAQ system software,  !
!  but users are requested to provide copies of derivative works or      !
!  products designed to operate in the CMAQ system to the United States  !
!  Government without restrictions as to use by others.  Software        !
!  that is used with the CMAQ system but distributed under the GNU       !
!  General Public License or the GNU Lesser General Public License is    !
!  subject to their copyright restrictions.                              !
!------------------------------------------------------------------------!
 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Parameter Module File
! 
! Generated by KPP-2.2.3 symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE aqchem_Parameters

  USE aqchem_Precision
  PUBLIC
  SAVE


! NSPEC - Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 165 
! NVAR - Number of Variable species
  INTEGER, PARAMETER :: NVAR = 161 
! NVARACT - Number of Active species
  INTEGER, PARAMETER :: NVARACT = 111 
! NFIX - Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 4 
! NREACT - Number of reactions
  INTEGER, PARAMETER :: NREACT = 269 
! NVARST - Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1 
! NFIXST - Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 162 
! NONZERO - Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 670 
! LU_NONZERO - Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 738 
! CNVAR - (NVAR+1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 162 
! NLOOKAT - Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 165 
! NMONITOR - Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 0 
! NMASS - Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1 

! Index declaration for variable species in C and VAR
!   VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER :: ind_A_NO3AKN = 1 
  INTEGER, PARAMETER :: ind_A_NH4AKN = 2 
  INTEGER, PARAMETER :: ind_A_CLAKN = 3 
  INTEGER, PARAMETER :: ind_A_NAAKN = 4 
  INTEGER, PARAMETER :: ind_A_SO4AKN = 5 
  INTEGER, PARAMETER :: ind_A_PECAKN = 6 
  INTEGER, PARAMETER :: ind_A_POAAKN = 7 
  INTEGER, PARAMETER :: ind_A_PRIAKN = 8 
  INTEGER, PARAMETER :: ind_L_PRIACC = 9 
  INTEGER, PARAMETER :: ind_L_PECACC = 10 
  INTEGER, PARAMETER :: ind_L_ORGC = 11 
  INTEGER, PARAMETER :: ind_L_POAACC = 12 
  INTEGER, PARAMETER :: ind_L_FEPLUS3 = 13 
  INTEGER, PARAMETER :: ind_L_MNPLUS2 = 14 
  INTEGER, PARAMETER :: ind_L_CAPLUS2 = 15 
  INTEGER, PARAMETER :: ind_L_MGPLUS2 = 16 
  INTEGER, PARAMETER :: ind_L_KPLUS = 17 
  INTEGER, PARAMETER :: ind_L_NAPLUS = 18 
  INTEGER, PARAMETER :: ind_WD_SO2 = 19 
  INTEGER, PARAMETER :: ind_WD_HNO3 = 20 
  INTEGER, PARAMETER :: ind_WD_CO2 = 21 
  INTEGER, PARAMETER :: ind_L_CO2MIN = 22 
  INTEGER, PARAMETER :: ind_WD_NH4OH = 23 
  INTEGER, PARAMETER :: ind_WD_H2O2 = 24 
  INTEGER, PARAMETER :: ind_WD_O3 = 25 
  INTEGER, PARAMETER :: ind_WD_HCOOH = 26 
  INTEGER, PARAMETER :: ind_WD_MHP = 27 
  INTEGER, PARAMETER :: ind_WD_PAA = 28 
  INTEGER, PARAMETER :: ind_WD_H2SO4 = 29 
  INTEGER, PARAMETER :: ind_WD_HCL = 30 
  INTEGER, PARAMETER :: ind_WD_GLY = 31 
  INTEGER, PARAMETER :: ind_WD_MGLY = 32 
  INTEGER, PARAMETER :: ind_WD_HO = 33 
  INTEGER, PARAMETER :: ind_WD_NO3MIN = 34 
  INTEGER, PARAMETER :: ind_WD_NH4PLUS = 35 
  INTEGER, PARAMETER :: ind_WD_CLMIN = 36 
  INTEGER, PARAMETER :: ind_WD_PRIACC = 37 
  INTEGER, PARAMETER :: ind_WD_FEPLUS3 = 38 
  INTEGER, PARAMETER :: ind_WD_MNPLUS2 = 39 
  INTEGER, PARAMETER :: ind_WD_PECACC = 40 
  INTEGER, PARAMETER :: ind_WD_ORGC = 41 
  INTEGER, PARAMETER :: ind_WD_POAACC = 42 
  INTEGER, PARAMETER :: ind_WD_HPLUS = 43 
  INTEGER, PARAMETER :: ind_WD_CAPLUS2 = 44 
  INTEGER, PARAMETER :: ind_WD_MGPLUS2 = 45 
  INTEGER, PARAMETER :: ind_WD_KPLUS = 46 
  INTEGER, PARAMETER :: ind_WD_NAPLUS = 47 
  INTEGER, PARAMETER :: ind_WD_NO2 = 48 
  INTEGER, PARAMETER :: ind_WD_HONO = 49 
  INTEGER, PARAMETER :: ind_WD_HNO4 = 50 
  INTEGER, PARAMETER :: ind_WD_IEPOX = 51 
  INTEGER, PARAMETER :: ind_WD_IETET = 52 
  INTEGER, PARAMETER :: ind_L_ISO3 = 53 
  INTEGER, PARAMETER :: ind_WD_IEOS = 54 
  INTEGER, PARAMETER :: ind_WD_DIMER = 55 
  INTEGER, PARAMETER :: ind_L_DIMER = 56 
  INTEGER, PARAMETER :: ind_WD_IMAE = 57 
  INTEGER, PARAMETER :: ind_WD_IHMML = 58 
  INTEGER, PARAMETER :: ind_WD_IMGA = 59 
  INTEGER, PARAMETER :: ind_L_IMGA = 60 
  INTEGER, PARAMETER :: ind_WD_IMOS = 61 
  INTEGER, PARAMETER :: ind_L_IMOS = 62 
  INTEGER, PARAMETER :: ind_WD_GLYAC = 63 
  INTEGER, PARAMETER :: ind_WD_OXLAC = 64 
  INTEGER, PARAMETER :: ind_WD_PYRAC = 65 
  INTEGER, PARAMETER :: ind_WD_CCOOH = 66 
  INTEGER, PARAMETER :: ind_WD_CH2OHYD = 67 
  INTEGER, PARAMETER :: ind_WD_HO2 = 68 
  INTEGER, PARAMETER :: ind_WD_GCOL = 69 
  INTEGER, PARAMETER :: ind_WD_GCOLAC = 70 
  INTEGER, PARAMETER :: ind_WD_CH2OHYDP = 71 
  INTEGER, PARAMETER :: ind_WD_NO3 = 72 
  INTEGER, PARAMETER :: ind_WD_CH3O2 = 73 
  INTEGER, PARAMETER :: ind_G_HONO = 74 
  INTEGER, PARAMETER :: ind_G_IMAE = 75 
  INTEGER, PARAMETER :: ind_L_IMAE = 76 
  INTEGER, PARAMETER :: ind_G_IHMML = 77 
  INTEGER, PARAMETER :: ind_L_IHMML = 78 
  INTEGER, PARAMETER :: ind_G_GCOL = 79 
  INTEGER, PARAMETER :: ind_G_CCOOH = 80 
  INTEGER, PARAMETER :: ind_G_HCHO = 81 
  INTEGER, PARAMETER :: ind_G_HO2 = 82 
  INTEGER, PARAMETER :: ind_G_PYRAC = 83 
  INTEGER, PARAMETER :: ind_G_HCHOP = 84 
  INTEGER, PARAMETER :: ind_G_H2O2 = 85 
  INTEGER, PARAMETER :: ind_G_HNO3 = 86 
  INTEGER, PARAMETER :: ind_G_CO2 = 87 
  INTEGER, PARAMETER :: ind_G_NH3 = 88 
  INTEGER, PARAMETER :: ind_G_O3 = 89 
  INTEGER, PARAMETER :: ind_G_HCOOH = 90 
  INTEGER, PARAMETER :: ind_G_MHP = 91 
  INTEGER, PARAMETER :: ind_G_PAA = 92 
  INTEGER, PARAMETER :: ind_G_HCL = 93 
  INTEGER, PARAMETER :: ind_G_GLY = 94 
  INTEGER, PARAMETER :: ind_G_MGLY = 95 
  INTEGER, PARAMETER :: ind_G_NO2 = 96 
  INTEGER, PARAMETER :: ind_G_HNO4 = 97 
  INTEGER, PARAMETER :: ind_G_NO3 = 98 
  INTEGER, PARAMETER :: ind_G_CH3O2 = 99 
  INTEGER, PARAMETER :: ind_G_SO2 = 100 
  INTEGER, PARAMETER :: ind_G_IEPOX = 101 
  INTEGER, PARAMETER :: ind_L_IETET = 102 
  INTEGER, PARAMETER :: ind_L_IEOS = 103 
  INTEGER, PARAMETER :: ind_L_SO3MIN = 104 
  INTEGER, PARAMETER :: ind_L_GCOL = 105 
  INTEGER, PARAMETER :: ind_L_GLY = 106 
  INTEGER, PARAMETER :: ind_L_HNO3 = 107 
  INTEGER, PARAMETER :: ind_L_NH4OH = 108 
  INTEGER, PARAMETER :: ind_L_NH4PLUS = 109 
  INTEGER, PARAMETER :: ind_L_H2SO4 = 110 
  INTEGER, PARAMETER :: ind_L_HCL = 111 
  INTEGER, PARAMETER :: ind_L_CLMIN = 112 
  INTEGER, PARAMETER :: ind_L_MGLY = 113 
  INTEGER, PARAMETER :: ind_L_CO3MIN2 = 114 
  INTEGER, PARAMETER :: ind_L_HCO3MIN = 115 
  INTEGER, PARAMETER :: ind_L_IEPOX = 116 
  INTEGER, PARAMETER :: ind_L_CH2OHYDP = 117 
  INTEGER, PARAMETER :: ind_L_HMSMINP = 118 
  INTEGER, PARAMETER :: ind_L_HCHOP = 119 
  INTEGER, PARAMETER :: ind_L_CH3O2 = 120 
  INTEGER, PARAMETER :: ind_L_MHP = 121 
  INTEGER, PARAMETER :: ind_L_PAA = 122 
  INTEGER, PARAMETER :: ind_L_SO4MIN = 123 
  INTEGER, PARAMETER :: ind_L_HSO4MIN = 124 
  INTEGER, PARAMETER :: ind_L_H2CO3 = 125 
  INTEGER, PARAMETER :: ind_L_HONO = 126 
  INTEGER, PARAMETER :: ind_L_NO3 = 127 
  INTEGER, PARAMETER :: ind_L_HSO5MIN = 128 
  INTEGER, PARAMETER :: ind_L_OXLAC = 129 
  INTEGER, PARAMETER :: ind_L_NO4MIN = 130 
  INTEGER, PARAMETER :: ind_L_OXLACMIN2 = 131 
  INTEGER, PARAMETER :: ind_L_OXLACMIN = 132 
  INTEGER, PARAMETER :: ind_L_PYRACMIN = 133 
  INTEGER, PARAMETER :: ind_L_PYRAC = 134 
  INTEGER, PARAMETER :: ind_L_CCOOH = 135 
  INTEGER, PARAMETER :: ind_L_CCOOHMIN = 136 
  INTEGER, PARAMETER :: ind_L_GLYAC = 137 
  INTEGER, PARAMETER :: ind_L_HCOOMIN = 138 
  INTEGER, PARAMETER :: ind_L_GCOLAC = 139 
  INTEGER, PARAMETER :: ind_L_GCOLACMIN = 140 
  INTEGER, PARAMETER :: ind_L_GLYACMIN = 141 
  INTEGER, PARAMETER :: ind_L_HCOOH = 142 
  INTEGER, PARAMETER :: ind_L_SO5MIN = 143 
  INTEGER, PARAMETER :: ind_L_HCHO = 144 
  INTEGER, PARAMETER :: ind_L_SO2 = 145 
  INTEGER, PARAMETER :: ind_L_H2O2 = 146 
  INTEGER, PARAMETER :: ind_L_NO3MIN = 147 
  INTEGER, PARAMETER :: ind_L_HMSMIN = 148 
  INTEGER, PARAMETER :: ind_L_CH2OHYD = 149 
  INTEGER, PARAMETER :: ind_L_HNO4 = 150 
  INTEGER, PARAMETER :: ind_L_O2MIN = 151 
  INTEGER, PARAMETER :: ind_L_NO2MIN = 152 
  INTEGER, PARAMETER :: ind_L_OHMIN = 153 
  INTEGER, PARAMETER :: ind_L_SO4MIN2 = 154 
  INTEGER, PARAMETER :: ind_L_HO2 = 155 
  INTEGER, PARAMETER :: ind_L_HPLUS = 156 
  INTEGER, PARAMETER :: ind_L_HSO3MIN = 157 
  INTEGER, PARAMETER :: ind_L_O3 = 158 
  INTEGER, PARAMETER :: ind_L_NO2 = 159 
  INTEGER, PARAMETER :: ind_L_SO3MIN2 = 160 
  INTEGER, PARAMETER :: ind_L_HO = 161 

! Index declaration for fixed species in C
!   C(ind_spc)

  INTEGER, PARAMETER :: ind_L_H2O = 162 
  INTEGER, PARAMETER :: ind_G_HO = 163 
  INTEGER, PARAMETER :: ind_L_O2 = 164 
  INTEGER, PARAMETER :: ind_DUMMY = 165 

! Index declaration for dummy species


! Index declaration for fixed species in FIX
!    FIX(indf_spc) = C(ind_spc) = C(NVAR+indf_spc)

  INTEGER, PARAMETER :: indf_L_H2O = 1 
  INTEGER, PARAMETER :: indf_G_HO = 2 
  INTEGER, PARAMETER :: indf_L_O2 = 3 
  INTEGER, PARAMETER :: indf_DUMMY = 4 

END MODULE aqchem_Parameters

