CMAQ Documentation
==================

This directory contains documentation for the [Community Multiscale Air Quality (CMAQ)](http://www.epa.gov/cmaq) modeling system.
While documentation is packaged with the code when it is downloaded or cloned, users are encouraged to go [online](https://github.com/USEPA/CMAQ/tree/main/DOCS) to view the latest version.

The following documents are available for each CMAQ release:

- **[Release Notes](https://github.com/USEPA/CMAQ/wiki/CMAQ-Release-Notes)**: Technical notes on the new features and science in this release of CMAQ are available on the CMAQ Wiki.

- **[CMAQ User's Guide](Users_Guide/README.md)**: Instructions on how to set up and run the model and information on CMAQ's different science options and instrumented versions.

- **[Tutorials](Users_Guide/Tutorials/README.md)**: Included with the User's Guide, a series of short tutorials provide practical examples of how to set up and run CMAQ, exercise different features in the software, and better understand the software system.

- **[Chemical Mechanism Tables](../CCTM/src/MECHS/README.md)**: Tables of model species and chemical reactions in each chemical mechanism available in the most recently released version of CMAQ.

- **[Developers' Guide](Developers_Guide/CMAQ_Dev_Guide.md)**: A guide to version control practices and expectations adopted by the CMAQ development team and enforced on itself and any other collaborators who wish to contribute code.


