<!-- BEGIN COMMENT -->

[<< Previous Chapter](CMAQ_UG_ch13_WRF-CMAQ.md) - [Home](README.md) - [Appendix >>](Appendix/CMAQ_UG_appendixA_model_options.md) 

<!-- END COMMENT -->

# CMAQ User's Guide

## List of Figures

[Figure 2-1. Overview of the CMAQ System](CMAQ_UG_ch02_program_structure.md#Figure2-1)

[Figure 5-1. CMAQ repository structure](CMAQ_UG_ch05_running_a_simulation.md#Figure5-1) 

[Figure 6-1. STAGE resistance diagram (modified from Nemitz et al., 2001) with table of variables descriptions](CMAQ_UG_ch06_model_configuration_options.md#Figure6-1)

[Figure 9-1. Relative contribution of oxidation pathways for VOCs using Process Analysis](CMAQ_UG_ch09_process_analysis.md#Figure9-1) 

[Figure 9-2. Relative contribution of HNO3 formation pathways at three grid locations](CMAQ_UG_ch09_process_analysis.md#Figure9-2) 

## List of Tables

[Table 3-1. Example of job scenarios at EPA for a single day simulation](CMAQ_UG_ch03_preparing_compute_environment.md#Table3-1)

[Table 3-2. Minimum required software versions](CMAQ_UG_ch03_preparing_compute_environment.md#Table3-2)

[Table 3-3. Optional support software for CMAQ](CMAQ_UG_ch03_preparing_compute_environment.md#Table3-3)

[Table 4-1. CMAQ input files](CMAQ_UG_ch04_model_inputs.md#Table4-1)  

[Table 4-2. GC species namelist file format](CMAQ_UG_ch04_model_inputs.md#Table4-2) 

[Table 4-3. MCIP output variables used within the CMAQ system](CMAQ_UG_ch04_model_inputs.md#Table4-3) 

[Table 4-4. Variables in hourly observed lightning strike file.](CMAQ_UG_ch04_model_inputs.md#Table4-4) 

[Table 4-5. Variables in lightning parameters file.](CMAQ_UG_ch04_model_inputs.md#Table4-5) 

[Table 6-1. Aerosol Species Predicted by the Wind-Blown Dust Module](CMAQ_UG_ch06_model_configuration_options.md#Table6-1)

[Table 6-2. Aerosol Species Predicted by the Sea-Spray Aerosol Module](CMAQ_UG_ch06_model_configuration_options.md#Table6-2)

[Table 6-3. Chemical mechanisms available with CMAQv5.4](CMAQ_UG_ch06_model_configuration_options.md#Table6-3)

[Table 7-1. CMAQ output files](CMAQ_UG_ch07_model_outputs.md#Table7-1)

[Table 8-1. Software programs for evaluating and visualizing CMAQ data](CMAQ_UG_ch08_analysis_tools.md#Table8-1)

[Table 9-1. Parameters used in PACM_INFILE](CMAQ_UG_ch09_process_analysis.md#Table9-1)

[Table 9-2. Allowable parameters for Process Analysis outputs](CMAQ_UG_ch09_process_analysis.md#Table9-2)

[Table 9-3. Allowable operators for Integrated Reaction Rate outputs](CMAQ_UG_ch09_process_analysis.md#Table9-3)

[Table 11-1. ISAM run script variables](CMAQ_UG_ch11_ISAM.md#Table11-1)

[Table 12-1. Sulfur Tracking species list](CMAQ_UG_ch12_sulfur_tracking.md#Table12-1)

[Table 12-2.  Additional Tracking Species Representing Loss of Inorganic Sulfate to Organosulfate](CMAQ_UG_ch12_sulfur_tracking.md#Table12-2)



<!-- BEGIN COMMENT -->

[<< Previous Chapter](CMAQ_UG_ch13_WRF-CMAQ.md) - [Home](README.md) - [Appendix >>](Appendix/CMAQ_UG_appendixA_model_options.md)<br> 
CMAQ User's Guide (c) 2022<br>

<!-- END COMMENT -->
