CMAQ Tutorials
==============

A series of short tutorials provide practical examples of how to set up and run CMAQ, exercise different features in the software, and better understand the software system. Community members are encouraged to both suggest ideas for new tutorials and to contribute tutorials directly to this repository. [Contact the CMAS Center](cmas@unc.edu) with new tutorial ideas.

- [Building CMAQ for GNU](CMAQ_UG_tutorial_build_library_gcc.md): This tutorial describes how to install netCDF and I/O API libraries and build CMAQ using the GNU GCC compiler version 9.1.0. 
- [Building CMAQ for Intel](CMAQ_UG_tutorial_build_library_intel.md): This tutorial describes how to install netCDF and I/O API libraries and build CMAQ using the Intel compiler version 18.2. 
- [Running the CMAQ Test Case](CMAQ_UG_tutorial_benchmark.md): This tutorial describes how to prepare your Linux system for installing and running the CMAQ test case.
- [Running the CMAQ-ISAM Test Case](CMAQ_UG_tutorial_ISAM.md): This tutorial describes how to build and run the CMAQ-ISAM model using GNU GCC compiler.
- [Running the CMAQ-DDM-3D Test Case](CMAQ_UG_tutorial_ISAM.md): This tutorial describes how to build and run the CMAQ-DDM-3D model using GNU GCC compiler.
- [Running the WRF-CMAQ Test Case](CMAQ_UG_tutorial_WRF-CMAQ_Benchmark.md) This tutorial describes how to build and run the WRF-CMAQ model.
- [Debugging Tips](CMAQ_UG_tutorial_debug.md): This tutorial describes how to examine log files and debug issues encountered when installing and running the CMAQ test case. 
- [Using the Community Regional Atmospheric Chemistry Multiphase Mechanism (CRACMM)](CMAQ_UG_tutorial_CRACMM.md) This tutorial gives an overview and FAQ on how to run CMAQ with the new CRACMM mechanism.
- [Prescribing Emissions Using the DESID Module](CMAQ_UG_tutorial_emissions.md): This tutorial describes how to use the Emission Control namelist to manipulate emission inputs, e.g. zero out emissions, scaling emissions, adding emissions for a new tracer.
- [Creating an OCEAN file](CMAQ_UG_tutorial_oceanfile.md): This tutorial describes methods to a CMAQ Ocean file.
- [Adding an Inert Tracer Species to CMAQ](CMAQ_UG_tutorial_tracers.md): This tutorial will step you through the process of adding chemically inert tracers to the CMAQ model.  
- [Create Initial and Boundary Conditions from Seasonal Average Hemispheric CMAQ Output](CMAQ_UG_tutorial_HCMAQ_IC_BC.md): This tutorial will step the user through the process of creating initial and boundary conditions from a seasonal average hemispheric CMAQ output file distributed through the CMAS data warehouse.
- [Modifying a CMAQ Chemical Mechanism](CMAQ_UG_tutorial_chemicalmechanism.md): This tutorial describes how to modify a chemical mechanism in CMAQ and reflect the changes in Github.

